Bug 167369 - Crash when setting custom scale factor.
Summary: Crash when setting custom scale factor.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-01-24 03:46 PST by Per Arne Vollan
Modified: 2017-01-26 02:10 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.43 KB, patch)
2017-01-24 04:00 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (6.60 KB, patch)
2017-01-25 04:20 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2017-01-24 03:46:47 PST
WebKit will crash if custom scale factor is set before initWithFrame is called.
Comment 1 Per Arne Vollan 2017-01-24 04:00:16 PST
Created attachment 299596 [details]
Patch
Comment 2 Per Arne Vollan 2017-01-24 04:11:34 PST
<rdar://problem/30154036>
Comment 3 Sam Weinig 2017-01-24 08:35:04 PST
Comment on attachment 299596 [details]
Patch

Can you add an API test for this?
Comment 4 Per Arne Vollan 2017-01-25 04:20:43 PST
Created attachment 299688 [details]
Patch
Comment 5 Per Arne Vollan 2017-01-25 04:21:52 PST
(In reply to comment #3)
> Comment on attachment 299596 [details]
> Patch
> 
> Can you add an API test for this?

Thanks for reviewing! Updated patch.
Comment 6 WebKit Commit Bot 2017-01-26 02:10:26 PST
Comment on attachment 299688 [details]
Patch

Clearing flags on attachment: 299688

Committed r211207: <http://trac.webkit.org/changeset/211207>
Comment 7 WebKit Commit Bot 2017-01-26 02:10:30 PST
All reviewed patches have been landed.  Closing bug.